nx_server_plugin_sdk 1.0 Server Plugin SDK

Public Member Functions | List of all members
ILPVideoPacket Class Reference
Inheritance diagram for ILPVideoPacket:

## Public Member Functions
| ILPVideoPacket (int channelNumber, nxcip::UsecUTCTimestamp _timestamp, unsigned int flags, unsigned int cSeq)
virtual void * | queryInterface (const nxpl::NX_GUID &interfaceID) override
| Implementation of nxpl::PluginInterface::queryInterface.
virtual int | addRef () const override
| Implementation of nxpl::PluginInterface::addRef.
virtual int | releaseRef () const override
| Implementation of nxpl::PluginInterface::releaseRef.
virtual nxcip::UsecUTCTimestamp | timestamp () const override
| Implementation of nxpl::MediaDataPacket::isKeyFrame.
virtual nxcip::DataPacketType | type () const override
| Implementation of nxpl::MediaDataPacket::type.
virtual const void * | data () const override
| Implementation of nxpl::MediaDataPacket::data.
virtual unsigned int | dataSize () const override
| Implementation of nxpl::MediaDataPacket::dataSize.
virtual unsigned int | channelNumber () const override
| Implementation of nxpl::MediaDataPacket::channelNumber.
virtual nxcip::CompressionType | codecType () const override
| Implementation of nxpl::MediaDataPacket::codecType.
virtual unsigned int | flags () const override
| Implementation of nxpl::MediaDataPacket::flags.
virtual unsigned int | cSeq () const override
| Implementation of nxpl::MediaDataPacket::cSeq.
virtual nxcip::Picture * | getMotionData () const override
| Implementation of nxpl::VideoDataPacket::getMotionData.
void | resizeBuffer (size_t bufSize)
void * | data ()
void | setMotionData (nxcip::Picture *motionData)
| Adds reference to motionData.

## Additional Inherited Members
Public Types inherited from nxcip::MediaDataPacket
enum | Flags { fKeyPacket = 0x01, fReverseStream = 0x02, fReverseBlockStart = 0x04, DEPRECATED_fLowQuality = 0x08, fStreamReset = 0x10 }

## Member Function Documentation

## ◆ resizeBuffer()

void ILPVideoPacket::resizeBuffer | ( | size_t | bufSize | ) |

Note
  Does keep contents of current buffer

The documentation for this class was generated from the following files:

- samples/device/image_library_plugin/src/ilp_video_packet.h
- samples/device/image_library_plugin/src/ilp_video_packet.cpp